%global commit 7667118e9d47dc3662269ca69aa00cc174845c49
# overridable kernel version to build against
%{!?kver:%global kver %(rpm -q kernel-devel | tail -n1 | sed s/kernel-devel-//)}

Name:		msr-safe
Version:	20150915
Release:	3%{?dist}
Summary:	DKMS-packaged Linux module for safe access to MSR registers
License:	LGPLv3+
URL:		https://github.com/LLNL/msr-safe
Source0:	https://github.com/LLNL/msr-safe/archive/%commit.tar.gz#/msr-safe-%commit.tar.gz
# Allow specifying kernel version, and build in /usr/src, not /lib/modules
Patch1:		msr-safe-kver.patch
BuildRequires:	kernel-devel
BuildArch:	noarch

%description

DKMS-packaged Linux module for safe access to MSR registers.

See also the libmsr package.


%prep
%setup -q -n msr-safe-%commit
%patch1 -p1


%build
# Not installed (dkms used), but check it builds
%{!?copr_username:make %{?_smp_mflags}  KVER=%kver}


%install
rm -rf %buildroot
mkdir -p %buildroot%_datadir/%name %buildroot%_prefix/src/%name-%version
cp -a whitelists %buildroot%_datadir/%name
cp -a Makefile *.[ch] %buildroot%_prefix/src/%name-%version
cat <<'EOF' >%buildroot%_prefix/src/%name-%version/dkms.conf
PACKAGE_NAME="msr-safe"
PACKAGE_VERSION="20150915"

# Module name, source and destination directories, and build command-line
BUILT_MODULE_NAME[0]="%name"
BUILT_MODULE_LOCATION[0]="."
DEST_MODULE_LOCATION[0]="/kernel/../extra/"
MAKE[0]="make KVER=${kernelver}"
CLEAN="make clean KVER=${kernelver}"
AUTOINSTALL="yes"
EOF


%clean
rm -rf %buildroot


%{!?_licensedir:%global license %doc}

%files
%doc README THANKS
%_datadir/%name
%_prefix/src/%name-%version


%post
dkms add -m %{name} -v %{version} --rpm_safe_upgrade
dkms build -m %{name} -v %{version} || true

%preun
dkms remove -m %{name} -v %{version} --all --rpm_safe_upgrade || true


%changelog
* Tue Jan 12 2016 Dave Love <loveshack@fedoraproject.org> - 20150915-3
- Fix dkms.conf

* Wed Jan  6 2016 Dave Love <loveshack@fedoraproject.org> - 20150915-2
- Fix kernel version in dkms.conf and build in the kernel-devel directory

* Fri Dec 18 2015 Dave Love <loveshack@fedoraproject.org> - 20150915-1
- Initial packaging
